import {
  json,
  select
} from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');
const margin = { top: 50, bottom: 50, left: 25, right: 25 };

const githubRaw = "https://raw.githubusercontent.com/jeronimoek/Correlativas/master/5-%20plan_civil%20FILTRADO.json"

json(githubRaw).then((data) => {
	for(const d in data){								//iterando por cada materia
    var nec = data[d]["PoR apr"]
    for(const e in nec){			//iterando por materias necesarias para promover
      if(!nec[e]){
        data[d]["value"]=0
      } else {
      	data[d]["value"]=1
      }
    }
    console.log(data[d]["Materia"],data[d]["value"])
  }
  for(var x=1; x<=6; x++){
    console.log("//////////////////////////////////////////////////////////////////////////////////////////////////////////////////")
    for(const d in data){								//iterando por cada materia
      var nec = data[d]["PoR apr"]
      for(const e in nec){			//iterando por materias necesarias para promover

        if(nec[e] && nec[e]!="TODAS"){         // filtro "" y "TODAS"
          if(data.filter(f => f["Id"] == nec[e])[0]["value"] == x){
            data[d]["value"] = x+1
          }
        }   
      }
      console.log(data[d]["Materia"],data[d]["value"])
    }
  }
  svg.selectAll("#g")
  	.data(data)
  	.enter().append("g")
  	.append("rect")
      .attr("fill", "#ffe2e2")
      .attr("stroke", "grey" )
      .attr('x', d => 50 + d["value"]*160)
      .attr('y', margin.top-10)
      .attr("width", 60)
      .attr("height",20)
      .attr("rx", 6)
  	
  svg.selectAll("#g")
  	.data(data)
  	.enter().append("g")
    .append("text")
  		.text("AAAA")
  		.attr('x', d => 50 + d["value"]*160)
      .attr('y', margin.top-10)
  
});
